﻿using System;

namespace Saral.ShowMessage
{
    /// <summary>
    /// Interface is designed to present basic messages from Model or ViewModel layer while implemeting MVVM Design Pattern
    /// </summary>
    /// <remarks>
    /// Interface convers only the basic message display scenarios.    
    /// </remarks>
    public interface IMessageDisplay
    {         
        /// <summary>
        /// Presents message
        /// </summary>        
        /// <param name="message">message to be displayed</param>
        void ShowMessage(string message);

        /// <summary>
        /// Presents warning message
        /// </summary>        
        /// <param name="message">message to be displayed</param>
        void ShowWarning(string message);

        /// <summary>
        /// Presents error message
        /// </summary>
        /// <param name="message">message to be displayed</param>
        void ShowError(string message);

    }
}
